Debian Bug report logs - #674872
RM: glui -- RoQA; orphaned, dead upstream, lib w/o rdeps

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Ricardo Mones <mones@debian.org>

Date: Mon, 28 May 2012 12:31:41 UTC

Severity: normal

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, bradsmith@debian.org, wnpp@debian.org:
Bug#674872; Package wnpp. (Mon, 28 May 2012 12:31:44 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ricardo Mones <mones@debian.org>:
New Bug report received and forwarded. Copy sent to bradsmith@debian.org, wnpp@debian.org. (Mon, 28 May 2012 12:31:49 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ricardo Mones <mones@debian.org>
To: submit@bugs.debian.org
Subject: O: glui -- GLUI, a C++ GLUT based GUI library - Runtime support
Date: Mon, 28 May 2012 14:29:58 +0200
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: normal

The current maintainer of glui, Bradley Smith <bradsmith@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package now.

Maintaining a package requires time and skills. Please only adopt this
package if you will have enough time and attention to work on it.

If you want to be the new maintainer, please see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: glui
Binary: libglui2c2, libglui-dev
Version: 2.36-4
Maintainer: Bradley Smith <bradsmith@debian.org>
Build-Depends: debhelper (>= 7), freeglut3-dev, automake, libtool
Architecture: any
Standards-Version: 3.8.3
Format: 1.0
Files:
 2ab37c4a24d2759bb6eb56d379569d40 1130 glui_2.36-4.dsc
 9e8d506af9a9428dac09e8cd7bda7c1e 562956 glui_2.36.orig.tar.gz
 a103fa88ae5147b60669cfac4c86797a 5918 glui_2.36-4.diff.gz
Vcs-Browser: http://git.brad-smith.co.uk/?p=debian/pkg-glui.git
Vcs-Git: http://git.brad-smith.co.uk/git/debian/pkg-glui.git
Checksums-Sha1:
 d8d5b56306094201184353f6581384d9e0aa5b57 1130 glui_2.36-4.dsc
 00e6a4a8a331ccfde951966526c63b0f37c7d8f3 562956 glui_2.36.orig.tar.gz
 052526e77eaed294c18634ac1f3314ddbe1a6a3e 5918 glui_2.36-4.diff.gz
Checksums-Sha256:
 e6a6482325efa401d768f35e0a2ba5798b94496facb2c8525857aab7c0ddf32c 1130 glui_2.36-4.dsc
 c1ef5e83cf338e225ce849f948170cd681c99661a5c2158b4074515926702787 562956 glui_2.36.orig.tar.gz
 f4fcc1010b22db393d68da11718537009b7db9cfeb43416892de10d068f8c7f3 5918 glui_2.36-4.diff.gz
Homepage: http://glui.sourceforge.net/
Directory: pool/main/g/glui
Priority: source
Section: devel

Package: libglui2c2
Source: glui
Version: 2.36-4
Installed-Size: 436
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Depends: freeglut3, libc6 (>= 2.2.5), libgcc1 (>= 1:4.1.1), libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libstdc++6 (>= 4.1.1)
Conflicts: libglui2, libglui2c102
Description-en: GLUI, a C++ GLUT based GUI library - Runtime support
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key
Homepage: http://glui.sourceforge.net/
Description-md5: 9299d7aeefe51cfffeabee58251123a0
Tag: role::shared-lib
Section: libs
Priority: optional
Filename: pool/main/g/glui/libglui2c2_2.36-4_amd64.deb
Size: 127638
MD5sum: 710a68939c7d06845b459e6ca0dbafed
SHA1: fedbec29624e6dc3e87e4542509a5cd32f8a711a
SHA256: ce224c2aa376f666153da22f04219243704db659857ae0a39cec1af94f1ed9a0

Package: libglui-dev
Source: glui
Version: 2.36-4
Installed-Size: 1108
Maintainer: Bradley Smith <bradsmith@debian.org>
Architecture: amd64
Depends: libglui2c2 (= 2.36-4), freeglut3-dev
Description-en: A GLUT-based C++ user interface library
 GLUI provides controls such as buttons, checkboxes, radio buttons, and
 spinners to OpenGL applications.  It is window-system independent, relying
 on GLUT to handle all system-dependent issues, such as window and mouse
 management. Features of the GLUI User Interface Library include:
 .
  - Complete integration with GLUT toolkit
  - Simple creation of a new user interface window with a single line of
    code
  - Support for multiple user interface windows
  - Standard user interface controls such as:
       - Buttons
       - Checkboxes for boolean variables
       - Radio Buttons for mutually-exclusive options
       - Editable text boxes for inputting text, integers, and
         floating-point values
       - Spinners for interactively manipulating integer and floating-point
         values
       - Static text fields
       - Panels for grouping sets of controls
       - Separator lines to help visually organize groups of controls
  - Controls can generate callbacks when their values change
  - Variables can be linked to controls and automatically updated when the
    value of the control changes ("live variables")
  - Controls can be automatically synchronized to reflect changes in live
    variables
  - Controls can trigger GLUT redisplay events when their values change
  - Layout and sizing of controls is automatic
  - Controls can be grouped into columns
  - User can cycle through controls using Tab key
 .
 This package contains the development files.
Homepage: http://glui.sourceforge.net/
Description-md5: 1f5bb423a6c289b9a124a0d8e7407bdc
Tag: devel::library, interface::3d, role::devel-lib
Section: libdevel
Priority: optional
Filename: pool/main/g/glui/libglui-dev_2.36-4_amd64.deb
Size: 226318
MD5sum: 603332972b0879dd091175f384428026
SHA1: 8bf0d8de199c81920d5cc92fc9044594dfaa73f0
SHA256: 7b660a00243dba886fb7968d048968b77af8e9580fa2897f1cc8d5ce4ef0d4a8

[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'wnpp' to 'ftp.debian.org'. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 25 May 2013 09:06:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'RM: glui -- RoQA; orphaned, dead upstream, lib w/o rdeps' from 'O: glui -- GLUI, a C++ GLUT based GUI library - Runtime support' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Sat, 25 May 2013 09:06:04 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Mon, 27 May 2013 17:36:21 GMT) Full text and rfc822 format available.

Notification sent to Ricardo Mones <mones@debian.org>:
Bug acknowledged by developer. (Mon, 27 May 2013 17:36:21 GMT) Full text and rfc822 format available.

Message #14 received at 674872-close@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 674872-close@bugs.debian.org
Cc: glui@packages.debian.org, glui@packages.qa.debian.org
Subject: Bug#674872: Removed package(s) from unstable
Date: Mon, 27 May 2013 17:35:02 +0000
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

      glui |     2.36-4 | source
libglui-dev |     2.36-4 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
libglui-dev |  2.36-4+b1 | hurd-i386
libglui2c2 |     2.36-4 | amd64, armel, armhf, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, s390x, sparc
libglui2c2 |  2.36-4+b1 | hurd-i386

------------------- Reason -------------------
RoQA; orphaned, dead upstream, lib w/o rdeps
----------------------------------------------

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive and will not propagate to any mirrors (ftp.debian.org
included) until the next dinstall run at the earliest.

Packages are usually not removed from testing by hand. Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems. The release team can force a removal from testing if it is
really needed, please contact them if this should be the case.

We try to close bugs which have been reported against this package
automatically. But please check all old bugs, if they were closed
correctly or should have been re-assigned to another package.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 674872@bugs.debian.org.

The full log for this bug can be viewed at http://bugs.debian.org/674872

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:41:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 19:56:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.